Subject: Re: Someone broke my allmodconfig build

From: David Gibson <[email-masked]>
Date: Mon, 23 Jul 2007 11:43:37 +1000

On Sat, Jul 21, 2007 at 09:04:13PM -0500, Josh Boyer wrote:
> On Sun, Jul 22, 2007 at 10:37:06AM +1000, Paul Mackerras wrote:
> > Stephen Rothwell writes:
> > 
> > >   WRAP    arch/powerpc/boot/zImage.ps3
> > > /home/sfr/kernels/linus/arch/powerpc/boot/wrapper: line 113: dtc: command not found
> > > make[2]: *** [arch/powerpc/boot/zImage.ps3] Error 1
> > 
> > Hmmm, we should be shipping .dtb files with the tree, so people don't
> > have to have dtc installed.
> 
> Really?  I don't think we're quite ready for that.  Particularly for the
> embedded boards.  Those DTS files still get lots of churn, and having to
> update both the .dts and .dtb at the same time seems a bit fragile.

I sort of prefer this option in theory, but it's basically
impossible.  People updating dts files by patch would also have to
update the dtb, which can't be done in a normal patch, since they're
binary.

I'm working with sfr now on importing dtc into the kernel tree.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson